Indexers - Reset Docs
重設資料來源中的特定文件,以由索引子選擇性地重新擷取。
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?api-version=2026-05-01-preview
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?api-version=2026-05-01-preview&overwrite={overwrite}
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
搜尋服務的端點 URL。 |
|
indexer
|
path | True |
string |
索引子的名稱。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
|
overwrite
|
query |
boolean |
如果為 false,則會將索引鍵或 ID 附加至現有的索引鍵或 ID。 如果為true,則只有此承載中的金鑰或ID會排入佇列以重新擷取。 |
要求標頭
| 名稱 | 必要 | 類型 | Description |
|---|---|---|---|
| Accept |
接受標頭。 |
||
| x-ms-client-request-id |
string (uuid) |
要求不透明、全域唯一、用戶端產生的字串標識碼。 |
要求本文
| 名稱 | 類型 | Description |
|---|---|---|
| datasourceDocumentIds |
string[] |
要重設的資料來源文件 ID |
| documentKeys |
string[] |
要重設的文件金鑰 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 204 No Content |
此要求沒有內容可傳送,但標頭可能很有用。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
api-key
類型:
apiKey
位於:
header
OAuth2Auth
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
範圍
| 名稱 | Description |
|---|---|
| https://search.azure.com/.default |
範例
SearchServiceResetDocs
範例要求
POST https://previewexampleservice.search.windows.net/indexers('myindexer')/search.resetdocs?api-version=2026-05-01-preview&overwrite=True
{
"documentKeys": [
"1",
"2",
"3"
]
}
範例回覆
定義
| 名稱 | Description |
|---|---|
| Accept |
接受標頭。 |
|
Document |
鍵型或 |
|
Error |
資源管理錯誤其他資訊。 |
|
Error |
錯誤詳細資料。 |
|
Error |
所有 Azure Resource Manager API 的常見錯誤回應,以傳回失敗作業的錯誤詳細數據。 (這也遵循 OData 錯誤回應格式。)。 |
Accept
接受標頭。
| 值 | Description |
|---|---|
| application/json;odata.metadata=minimal |
DocumentKeysOrIds
鍵型或
| 名稱 | 類型 | Description |
|---|---|---|
| datasourceDocumentIds |
string[] |
要重設的資料來源文件 ID |
| documentKeys |
string[] |
要重設的文件金鑰 |
ErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
其他資訊。 |
|
| type |
string |
其他信息類型。 |
ErrorDetail
錯誤詳細資料。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤的其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
所有 Azure Resource Manager API 的常見錯誤回應,以傳回失敗作業的錯誤詳細數據。 (這也遵循 OData 錯誤回應格式。)。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
error 物件。 |